<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
    <title>Visitor Reports</title>
    <script src="js/platform.js"></script>
    <script>
        if (deviceType.getdeviceType() == 'Android') {
    </script>
    <link href="file:///android_asset/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="file:///android_asset/lib/ion-md-input/css/ion-md-input.min.css" rel="stylesheet">
    <link href="file:///android_asset/lib/ionic-material/dist/ionic.material.min.css" rel="stylesheet">
    <link href="file:///android_asset/lib/Open+Sans.css" rel="stylesheet">
    <link href="file:///android_asset/lib/Raleway.css" rel="stylesheet">
    <script src="file:///android_asset/lib/ionic/js/ionic.bundle.js"></script>
    <script src="file:///android_asset/lib/ionic-material/dist/ionic.material.min.js"></script>
    <script src="file:///android_asset/lib/ion-md-input/js/ion-md-input.min.js"></script>
    <script src="file:///android_asset/lib/ionic/angular-animate/angular-animate.js"></script>
    <script src="file:///android_asset/lib/angular/angular.min.js"></script>
    <script src="file:///android_asset/js/platformlib.js"></script>
    <link href="file:///android_asset/dfa1/dfa1.css" rel="stylesheet">
    <link href="file:///android_asset/dfa0/dfa0.css" rel="stylesheet">
    <script>
        }
        if (deviceType.getdeviceType() == 'iPhone' || deviceType.getdeviceType() == 'iPad' || deviceType.getdeviceType() == 'iPod') {
    </script>
    <link href="../../../assets/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="../../../assets/lib/ion-md-input/css/ion-md-input.min.css" rel="stylesheet">
    <link href="../../../assets/lib/ionic-material/dist/ionic.material.min.css" rel="stylesheet">
    <script src="../../../assets/lib/ionic/js/ionic.bundle.js"></script>
    <script src="../../../assets/lib/ionic-material/dist/ionic.material.min.js"></script>
    <script src="../../../assets/lib/ion-md-input/js/ion-md-input.min.js"></script>
    <script src="../../../assets/lib/ionic/angular-animate/angular-animate.js"></script>
    <script src="../../../assets/lib/angular/angular.min.js"></script>
    <script src="../../../assets/js/platformlib.js"></script>
    <link href="../../../assets/lib/Open+Sans.css" rel="stylesheet">
    <link href="../../../assets/lib/Raleway.css" rel="stylesheet">
    <link href="../../../assets/dfa1/dfa1.css" rel="stylesheet">
    <link href="../../../assets/dfa0/dfa0.css" rel="stylesheet">
    <script>
        }
    </script>
    <script src="js/jquery.js"></script>
    <script src="js/controller-visitor.js"></script>
    <script src="js/app.js"></script>
    <link href="css/tabSlideBox.css" rel="stylesheet">
    <script src="js/tabSlideBox.js"></script>
    <link href="css/style.css" rel="stylesheet">
    <!-- your app's script -->
</head>

<body ng-app="slidebox">
    <ion-nav-view></ion-nav-view>
    <script id="index.html" type="text/ng-template">
        <ion-header-bar class="bar-header no-shadow">
            <!-- Header  for Android and tabs -->
          
            <button class="button-clear new-back" ng-click="goHome();" style="width: 60px;" ng-if="platform == 'android'">
                <div data-icon="s" class="icon"></div>
            </button>
            <button class="button button-icon button-clear" ng-click="goHome();" ng-if="platform != 'android'"><i class="icon ion-chevron-left"></i></button>
            <h4 class="ma-l-20 msg-blck" ng-if="platform == 'android'">Orders </h4>
            <h4 class="ios-title msg-blck" ng-if="platform != 'android'">Orders </h4>
            <div class="right-btn-wrapper">
              
                <button class="button-clear new-home" menu-toggle="right" ng-click="goHome()">
                    <div class="icon d-f-i-1-v"></div>
                </button>
            </div>
        </ion-header-bar>
        <ion-view title="">
            <ion-content scroll="true" has-bouncing="true">
                <div id="MainWrap" class="container">
                </div>
                <tab-slide-box style="height:500px;">
                    <div class="tsb-icons">
                        <div class="tsb-ic-wrp">
                            <ion-scroll direction="x" class="tsb-hscroll">
                                <a href="javascript:;" class="tab-item active">Active </a>
                                <a href="javascript:;" class="tab-item "> Completed </a>
                            </ion-scroll>
                        </div>
                    </div>
                    <div style="height: 7px;">&nbsp;</div>
                    <ion-slide-box on-slide-changed="slideHasChanged($index)">
                        <ion-slide>
                            <div style="overflow-y: scroll;height:90%;">
                                <div style="margin-top: 130px;" ng-show="noactive">
                                    <h6 style="font-family: 'Raleway';font-size: 12px;color: #4A4A4A; letter-spacing: -0.2px; color: #4A4A4A; margin-bottom: 19px;"> No Active Order </h6>
                                    <div style="background: #000000;border: 1px solid #979797; color: #979797; width: 176px; height: 36px; font-family: 'Raleway'; padding: 8px 20px 10px 20px; color: #fff; font-size: 14px; margin: auto;" ng-click="createCase();"> Place New Order
                                        <div style="float: right; margin-left: 2px; margin-top: 2px;"><i class="icon d-f-a-0-ico-andr-add"></i></div>
                                    </div>
                                </div>

                                <!--   UI -->
                                <div class="case-wrapper" ng-click="loadchat(order.dataId,order.data.receivers)" ng-repeat="order in activeOrders">
                                    <div class="order-wrapper">
                                        <div class="order" ng-init="tag_result = get_Tag(order.data)">
                                            <div ng-if="tag_result != null"> {{ tag_result }} </div>
                                            <div ng-if="tag_result == null"> Qviki to Manager </div>
                                        </div>
                                        <div class="order-time" ng-init="time = orderTime(order.data.createtime)" ng-if="order.data.orderdatetime == undefined">
                                            <span class="msg-red">Sent {{  time }} ago</span>
                                        </div>
                                        <div class="order-time" ng-init="time = orderTime(order.data.orderdatetime)">
                                            <span class="msg-green" ng-if="order.data.orderstatus == '1'">Delivered</span>
                                            <span class="msg-red" ng-if="order.data.orderstatus == '0'">Ordered {{  time }}  ago  </span>
                                        </div>
                                    </div>
                                    <div class="price-wrapper" ng-init="bill = getBill(order.data)">
                                        <div class="unread" ng-init="unreadOXM = getCaseCount(order.caseid)">
                                            <span class="noOfUnreadOXM" ng-if="unreadOXM != 0 "> {{ unreadOXM }}</span>
                                        </div>
                                        <div class="bill" ng-if="order.data != null"> Rs {{ bill }} </div>
                                        <div class="bill" ng-if="order.data == null"> &nbsp; </div>
                                    </div>
                                    <input type="hidden" id="casedata-{{ order.caseid }}" value="{{ order.data }}">
                                    <div class="bottom-line">&nbsp;</div>
                                </div>

                                <input type="hidden" id="caseid" value="1">
                                <input type="hidden" id="isComplete" value="0">
                                <div style="width:100%; height:40px;">&nbsp;</div>
                            </div>

                        </ion-slide>
                        <ion-slide>
                            <div style="overflow-y: scroll; height:90%;">
                                <div class="case-heading-big-1"> FEEDBACK PENDING </div>

                                <div class="case-wrapper" ng-click="loadPageNg(order.caseid,1)" ng-repeat="order in completeOrders">
                                    <div class="order-wrapper">
                                        <div class="order" ng-init="tag_result = get_Tag(order.data)">
                                            <div> {{ tag_result }} </div>
                                        </div>
                                        <div class="order-time" ng-init="day = orderTime(order.data.orderdatetime)">
                                            <span class="msg-gray" ng-init="time = epocTotime(order.data.orderdatetime)">Delivered {{  day }} at {{  time }}</span>
                                        </div>
                                    </div>
                                    <div class="price-wrapper" ng-init="bill = getBill(order.data)">
                                        <div class="unread" ng-init="unreadOXM = getCaseCount(order.caseid)">
                                            <span class="noOfUnreadOXM" ng-if="unreadOXM != 0 "> {{ unreadOXM }}</span>
                                        </div>
                                        <div class="bill"> Rs {{ bill }} </div>
                                    </div>
                                    <input type="hidden" id="casedata-{{ order.caseid }}" value="{{ order.data }}">
                                    <div class="bottom-line">&nbsp;</div>
                                </div>
                                <div style="width: 100%; height: 1px; box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;">&nbsp;</div>

                                <div class="saferater"></div>
                                <div class="case-heading-big-1">COMPLETED </div>

                                <div style="width: 100%; height: 1px; box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;">&nbsp;</div>

                                <div style="width:100%; height:40px;">&nbsp;</div>
                            </div>
                        </ion-slide>
                    </ion-slide-box>
                </tab-slide-box>
            </ion-content>
        </ion-view>
    </script>

    <script id="chatmng.html" type="text/ng-template">

        <ion-nav-bar class="bar-assertive-900" align-title="left">
            <ion-nav-buttons side="left">
              
                <button class="button-clear new-back" ng-click="active()" style="width: 60px; margin-left: 5px;" ng-if="platform == 'android'">
                    <div data-icon="s" class="icon"></div>
                </button>
                <h4 class="ma-l-10 msg-blck" ng-if="platform == 'android'"> 
              <span style="float: left;"> {{ stripTitle(title) }} </span><span ng-if="noOfItem > 1" style="float: left;"> +{{ noOfItem-1 }} <span>
             </h4>
                <button class="button button-icon button-clear" ng-click="goBack()" ng-if="platform != 'android'"><i class="icon ion-chevron-left"></i></button>
                <h4 class="ios-title msg-blck" ng-if="platform != 'android'" style="min-width: 100px;">{{ stripTitle(title) }} <!-- <span ng-if="noOfItem > 1"> +{{ noOfItem-1 }} <span> --></h4>
            </ion-nav-buttons>
            <ion-nav-buttons side="right">
                <div class="right-btn-wrapper">
                   
                    <button class="button-clear new-home" menu-toggle="right" ng-click="goHome()" style="margin-top: 5px;">
                        <div class="icon d-f-i-1-v"></div>
                    </button>
                </div>
            </ion-nav-buttons>
        </ion-nav-bar>
        <ion-view title="">
            <ion-content scroll="true" delegate-handle="homeScroll" has-bouncing="true">

                <div class="top-divider" style="height: 70px;">&nbsp;</div>

                <div id="chat_list">

                </div>
                <br/>
                <br/>
                <p id="span"></p>
                <div id="MainData"></div>
                <input type="hidden" name="" id="feedbackRating">
            </ion-content>
            <ion-footer-bar class="footer" ng-if="isComplete == 0">
                <div class="wrapper">
                    <div class="chet-box-visitor">
                        <input type="text" ng-modal="chatmsg" id="chatmsg" placeholder="How May I Help You?" onfocus="hideQviki();" onblur="showQviki()" />
                    </div>
                    <div class="send-box">
                        <button class="button Vbtn" ng-modal="send" ng-click="sendChatData()">Send</button>
                    </div>
                </div>
            </ion-footer-bar>
        </ion-view>
    </script>
</body>

</html>

<script type="text/javascript">
    function ChangeCaseID(caseIdv) {

        document.getElementById("caseid").value = caseIdv;
    }

    function activeList() {

        window.location.href = "#/";
    }
</script>